# Generated by Django 4.1.6 on 2023-03-08 08:04

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='FrequencySource',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50, unique=True, verbose_name='Name')),
            ],
            options={
                'verbose_name': 'Frequency Source',
                'verbose_name_plural': 'Frequency Sources',
            },
        ),
        migrations.CreateModel(
            name='Satellite',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('object_name', models.CharField(max_length=250, verbose_name='Satellite Name')),
                ('norad_cat_id', models.IntegerField(unique=True, verbose_name='NORAD number')),
                ('int_desg', models.CharField(max_length=50, verbose_name='International Designator')),
                ('ephemeris_type', models.IntegerField(verbose_name='Ephemeris Type')),
                ('tle_filename', models.CharField(max_length=50, verbose_name='Name of .tle file')),
                ('frequency_source', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='database_management.frequencysource')),
            ],
            options={
                'verbose_name': 'Satellite',
                'verbose_name_plural': 'Satellites',
            },
        ),
        migrations.CreateModel(
            name='SatelliteData',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('timestamp', models.DateTimeField()),
                ('epoch', models.CharField(max_length=50, verbose_name='Epoch')),
                ('mean_motion_dot', models.CharField(max_length=50, verbose_name='First Derivative of Mean Motion')),
                ('mean_motion_ddot', models.CharField(max_length=50, verbose_name='Second Derivative of Mean Motion')),
                ('bstar', models.CharField(max_length=50, verbose_name='BSTAR Drag Term')),
                ('element_set_no', models.IntegerField(verbose_name='Element Number')),
                ('inclination', models.DecimalField(decimal_places=4, max_digits=7, verbose_name='Inclination')),
                ('ra_of_asc_node', models.DecimalField(decimal_places=4, max_digits=8, verbose_name='Right Ascension of the Ascending Node')),
                ('eccentricity', models.DecimalField(decimal_places=7, max_digits=8, verbose_name='Eccentricity')),
                ('arg_of_pericenter', models.DecimalField(decimal_places=4, max_digits=7, verbose_name='Argument of Perigee')),
                ('mean_anomaly', models.DecimalField(decimal_places=4, max_digits=7, verbose_name='Mean Anomaly')),
                ('mean_motion', models.DecimalField(decimal_places=10, max_digits=14, verbose_name='Mean Motion')),
                ('rev_at_epoch', models.IntegerField(verbose_name='Revolution number at epoch')),
                ('norad_str', models.CharField(max_length=500, verbose_name='Unaltered NORAD string')),
                ('satellite', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='database_management.satellite')),
            ],
            options={
                'verbose_name': 'Satellite Data Entry',
                'verbose_name_plural': 'Satellite Data Entries',
            },
        ),
        migrations.CreateModel(
            name='Frequency',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('start_frequency', models.DecimalField(decimal_places=10, max_digits=25, verbose_name='Start of Frequency Range (GHz)')),
                ('end_frequency', models.DecimalField(decimal_places=10, max_digits=25, verbose_name='Start of Frequency Range (GHz)')),
                ('start_date', models.DateTimeField(verbose_name='Start Date')),
                ('end_date', models.DateTimeField(verbose_name='End Date')),
                ('frequency_source', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='database_management.frequencysource')),
            ],
            options={
                'verbose_name': 'Frequency',
                'verbose_name_plural': 'Frequencies',
            },
        ),
        migrations.AddConstraint(
            model_name='satellitedata',
            constraint=models.UniqueConstraint(fields=('satellite', 'timestamp'), name='satellite_timestamp_unique_together'),
        ),
        migrations.AddIndex(
            model_name='satellite',
            index=models.Index(fields=['norad_cat_id'], name='database_ma_norad_c_bcf37f_idx'),
        ),
    ]
